package com.xhpc.charging.station.mapper;

import com.xhpc.common.domain.XhpcTimingChargingPowerModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcTimingChargingPowerMapper {

    List<Map<String, Object>> list(@Param("operatorId")Long operatorId, @Param("reason")String reason, @Param("status") Integer status, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("chargingStationId") Long chargingStationId, @Param("logOperatorId")Long logOperatorId, @Param("type")Integer type, @Param("tenantId")String tenantId, @Param("endSatrtTime")String endSatrtTime, @Param("endEndTime")String endEndTime,@Param("endType")Integer endType);

    int insertXhpcTimingChargingPowerModel(XhpcTimingChargingPowerModel xhpcTimingChargingPowerModel);

    XhpcTimingChargingPowerModel getXhpcTimingChargingPowerModelById(@Param("timingChargingPowerId")Long timingChargingPowerId, @Param("tenantId")String tenantId);

    int updateXhpcTimingChargingPowerModel(XhpcTimingChargingPowerModel xhpcTimingChargingPowerModel);

    List<XhpcTimingChargingPowerModel> getXhpcTimingChargingPowerModelCron();

    List<XhpcTimingChargingPowerModel> getXhpcEndTimingChargingPowerModelCron();
    String getXhpcChargingPile(@Param("chargingPileId")Long chargingPileId,@Param("chargingStationId")Long chargingStationId);

    void updateXhpcChargingPile(@Param("chargingPileId")Long chargingPileId,@Param("powerNumber")Integer powerNumber);
    void updateXhpcChargingPower(@Param("timingChargingPowerId")Long timingChargingPowerId,@Param("status")Integer status,@Param("type")Integer type);
}
